import React from 'react';
export declare type DropIndexFormProps = {
    isVisible: boolean;
    inProgress: boolean;
    error?: string | null;
    name: string;
    confirmName: string;
    toggleIsVisible: (isVisible: boolean) => void;
    toggleInProgress: () => void;
    changeConfirmName: (name: string) => void;
    resetForm: () => void;
    dropIndex: (name: string) => void;
    clearError: () => void;
};
export declare function DropIndexModal({ isVisible, inProgress, error, name, confirmName, toggleIsVisible, changeConfirmName, resetForm, dropIndex, clearError, }: DropIndexFormProps): JSX.Element;
declare const _default: import("react-redux").ConnectedComponent<typeof DropIndexModal, {
    toggleInProgress: () => void;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=index.d.ts.map