import React from 'react';
import type AppRegistry from 'hadron-app-registry';
import type { IndexDefinition, SortColumn, SortDirection } from '../../modules/indexes';
declare type IndexesProps = {
    indexes: IndexDefinition[];
    isWritable: boolean;
    isReadonly: boolean;
    isReadonlyView: boolean;
    description?: string;
    error: string | null;
    localAppRegistry: AppRegistry;
    isRefreshing: boolean;
    sortIndexes: (name: SortColumn, direction: SortDirection) => void;
    refreshIndexes: () => void;
    dropFailedIndex: (id: string) => void;
    readOnly?: boolean;
};
export declare const Indexes: React.FunctionComponent<IndexesProps>;
declare const _default: import("react-redux").ConnectedComponent<(props: Omit<IndexesProps & {
    children?: React.ReactNode;
}, "readOnly"> & Partial<Pick<IndexesProps & {
    children?: React.ReactNode;
}, "readOnly">>) => React.ReactElement<{}, string | React.JSXElementConstructor<any>>, {
    children?: React.ReactNode;
    readOnly?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=indexes.d.ts.map