import type { AnyAction, Dispatch } from 'redux';
import type { RootState } from '../create-index';
export declare const ADD_FIELD = "indexes/create-index/fields/ADD_FIELD";
export declare const UPDATE_FIELD_TYPE = "indexes/create-index/fields/UPDATE_FIELD_TYPE";
export declare const REMOVE_FIELD = "indexes/create-index/fields/REMOVE_FIELD";
export declare const CHANGE_FIELDS = "indexes/create-index/fields/CHANGE_FIELDS";
export declare type IndexField = {
    name: string;
    type: string;
};
export declare const INITIAL_STATE: {
    name: string;
    type: string;
}[];
export default function reducer(state: {
    name: string;
    type: string;
}[] | undefined, action: AnyAction): IndexField[];
export declare const addField: () => {
    type: string;
};
export declare const removeField: (idx: number) => {
    type: string;
    idx: number;
};
export declare const updateFieldType: (idx: number, fType: string) => {
    type: string;
    idx: number;
    fType: string;
};
export declare const changeFields: (fields: IndexField[]) => {
    type: string;
    fields: IndexField[];
};
export declare const updateFieldName: (idx: number, name: string) => (dispatch: Dispatch, getState: () => RootState) => void;
//# sourceMappingURL=fields.d.ts.map