import type { AnyAction } from 'redux';
declare const reducer: import("redux").Reducer<import("redux").CombinedState<{
    indexes: import("./indexes").IndexDefinition[];
    isWritable: boolean;
    isReadonly: boolean;
    isReadonlyView: boolean;
    description: any;
    appRegistry: unknown;
    dataService: import("mongodb-data-service").DataService | null;
    sortOrder: import("./indexes").SortDirection;
    sortColumn: "Name and Definition" | "Type" | "Size" | "Usage" | "Properties";
    error: string | null;
    serverVersion: string;
    namespace: string;
    isRefreshing: boolean;
    inProgressIndexes: never;
}>, import("redux").Action<any>>;
export declare type RootState = ReturnType<typeof reducer>;
declare const rootReducer: (state: RootState, action: AnyAction) => RootState;
export default rootReducer;
//# sourceMappingURL=index.d.ts.map